#
# Conditional build:
#
%define         orgname     analitza
%define         _state      stable
%define         qtver       4.8.0
#
Summary:	Mathematical features library
Summary(pl.UTF-8):	analitza
Name:		kde4-analitza
Version:	4.14.3
Release:	2
License:	LGPL v2
Group:		X11/Libraries
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	725a6692b626e673b2a93e7848fd9a98
URL:		http://www.kde.org/
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.6.3
BuildRequires:	kde4-kdelibs-devel >= %{_kdever}
BuildRequires:	qt4-build >= %{qt_ver}
BuildRequires:	qt4-qmake >= %{qt_ver}
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The analitza library will let you add mathematical features to your
program.

%package devel
Summary:	analitza header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla analitza
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-kdelibs-devel >= %{version}

%description devel
This package contains analitza header files.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe dla analitza.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/calgebra
%attr(755,root,root) %ghost %{_libdir}/libanalitza.so.?
%attr(755,root,root) %{_libdir}/libanalitza.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libanalitzagui.so.?
%attr(755,root,root) %{_libdir}/libanalitzagui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libanalitzaplot.so.?
%attr(755,root,root) %{_libdir}/libanalitzaplot.so.*.*.*
%{_datadir}/apps/libanalitza

%files devel
%defattr(644,root,root,755)
%{_includedir}/analitza
%attr(755,root,root) %{_libdir}/libanalitza.so
%attr(755,root,root) %{_libdir}/libanalitzagui.so
%attr(755,root,root) %{_libdir}/libanalitzaplot.so
%{_includedir}/analitzagui
%{_includedir}/analitzaplot
%{_libdir}/cmake/analitza
%changelog
* Tue Oct 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-analitza.git;a=log;h=master

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> ef584bb
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> c232f27
- updated to 4.14.3 (by update-kde4.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3709d07
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9a8cafe
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9414c7e
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 71d1c3f
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> da535c5
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ae67eb8
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> cdf3499
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d949dbe
- updated to 4.12.1 (by update-kde4.sh)

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> fe9e156
- 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 4c85c37
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 495f2e8
- updated files

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> f91cc9f
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 5790c6f
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> 0cddd6a
- updated to 4.9.3.

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 830953f
- updated to 4.9.1.

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> dc2c753
- updated to 4.9.0, added missing BR.

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d3e6db1
- initial

